Package org.postgresql.jdbc

# Class PSQLSavepoint

java.lang.Object
org.postgresql.jdbc.PSQLSavepoint

All Implemented Interfaces:
  `Savepoint`

public class PSQLSavepoint extends Object implements Savepoint

## Constructor Summary

Constructors
Constructor
Description
`PSQLSavepoint(int id)`
`PSQLSavepoint(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPGName()`
`int`
`getSavepointId()`
`String`
`getSavepointName()`
`void`
`invalidate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PSQLSavepoint

public PSQLSavepoint(int id)

### PSQLSavepoint

public PSQLSavepoint(String name)

## Method Details

### getSavepointId

public int getSavepointId() throws SQLException

Specified by:
  `getSavepointId` in interface `Savepoint`
Throws:
  `SQLException`

### getSavepointName

public String getSavepointName() throws SQLException

Specified by:
  `getSavepointName` in interface `Savepoint`
Throws:
  `SQLException`

### invalidate

public void invalidate()

### getPGName

public String getPGName() throws SQLException

Throws:
  `SQLException`